<?php
/**
 * Afficher un dossier
 * (Display a folder)
 * 
 * @param $dataList Le contenu du dossier en array (The contents of the array in)
 * @param $hidden a list of hidden file id:s elements
 */
function tpl_list_folder($dataList){
	global $conf;
	global $ID;
	global $INFO;

	require_once(DOKU_INC.'inc/auth.php');

	$currentLevel = 1;
		$pathinfo = pathinfo($_SERVER['REQUEST_URI']);
	$url = $pathinfo['dirname'];
	
	/*
	 * Remove duplicate links, where link both exists as page and namespace...
	 * Somehow, the namespace and page is identical... hide page.
	 * ARGH! FIXME!
	 */
	$hidden = array();
	foreach($dataList as $page) {
		if( $page['type'] == 'd' ) {
			$hidden[$page['id']] = true;
		}
	}

	echo "<ul>\n";
	for($i=0; $i<count($dataList); $i++){

		if( isset($hidden[$dataList[$i]['id']]) && $dataList[$i]['type'] == 'f' ) {
			continue;
		}
		
		// Permission
		if($dataList[$i]["type"] == "d"){
			$perm = auth_quickaclcheck($dataList[$i]["id"].":*");
		}else{
			$perm = auth_quickaclcheck($dataList[$i]["id"]);
		}

		if($perm > 0){

			// Nom du lien
			$firstHeading = p_get_first_heading($dataList[$i]["id"]);
			if($conf['useheading'] && $dataList[$i]["type"] == "f" && !empty($firstHeading)){
				$linkName = $firstHeading;

			}else{
				$linkName = split(":", $dataList[$i]["id"]);
				$linkName = $linkName[count($linkName) - 1];
				$linkName = str_replace("_", " ", $linkName);

				if ($dataList[$i]["level"] > 1)
					$dataList[$i]["type"] = "f";
			}

			// On vérifie qu'on est dans le bon level
			if($currentLevel > $dataList[$i]["level"]){
				echo str_repeat("</ul></li>\n", $currentLevel - $dataList[$i]["level"]);
				$currentLevel = $dataList[$i]["level"];
			}

			// Affichage (Display)

			$oddeven = ($i%2 == 0) ? ' odd' : ' even';
			if($dataList[$i]["type"] == "d"){
				// dossier (folder)
				if($dataList[$i]["open"]){
					echo '<li class="folderopen"><img src="'.DOKU_TPL.'images/arrow-down.png" alt="" style="float: left; margin-right: 6px;margin-top: 0px;"/>';
				}else{
					echo '<li class="folder"><img src="'.DOKU_TPL.'images/arrow-right.png" alt="" style="float: left; margin-right: 6px;  margin-left: 0px;  margin-top: 0px;"/>';
				}

				if($_REQUEST["do"] == "admin" && $_REQUEST["page"] == "acl"){
					$path = wl($dataList[$i]["id"].":".$conf['start'], "do=admin&amp;page=acl");
				}else{
					$path = wl($dataList[$i]["id"].":".$conf['start']);
				}
				tpl_link($path,$linkName);
			}else{
				// fichier (file)
				$pos_x = ($dataList[$i]["level"] != 1) ? $dataList[$i]["level"]*15-17 : 10;
				$pad_left = ($dataList[$i]["level"] != 1) ? ($dataList[$i]["level"]*15 -20) : 7;
				$width = ($dataList[$i]["level"] != 1) ? 207-$dataList[$i]["level"]*15 : 180;
				echo '<li class="file" style="padding-left: '.$pad_left.'px; width: '.$width.'px;">';

				if($dataList[$i]["id"] == $ID){
					// Selected
					echo "<strong>";
				}
				if($_REQUEST["do"] == "admin" && $_REQUEST["page"] == "acl"){
					$path = wl($dataList[$i]["id"], "do=admin&amp;page=acl");
				}else{
					$path = wl($dataList[$i]["id"]);
				}
				tpl_link($path,$linkName);

				if($dataList[$i]["id"] == $ID){
					// Selected
					echo "</strong>"; //
				}
			}

			if($dataList[$i+1]["level"] == $currentLevel){
				// dossier courant (current folder)
				echo "</li>\n";
			}else if($dataList[$i+1]["level"] > $currentLevel){
				// Nouveau sous dossier (new subfolder)
				//echo "<ul>\n";
				echo '</li>';
			}else if($dataList[$i+1]["level"] < $currentLevel){
				// Fin du dossier (end of file)
				if(!empty($dataList[$i+1]["level"])){
					//echo str_repeat("</li></ul></li>\n", $currentLevel - $dataList[$i+1]["level"]);
					echo str_repeat("</li>\n", $currentLevel - $dataList[$i+1]["level"]);
				}
			}
			$currentLevel = $dataList[$i+1]["level"];
		}
	}
	echo "</li></ul>\n";
}

/**
 * Afficher l'explorateur
 * (View the explorer)
 */
function tpl_explorer() {
	global $ID;
	global $ACT;
	global $conf;


	$folder = getNS($ID);

	require_once(DOKU_INC.'inc/search.php');
	require_once(DOKU_INC.'inc/html.php');

	$ns  = cleanID($ID);
	if(empty($ns)){
		$ns = dirname(str_replace(':','/',$ID));
		if($ns == '.') $ns ='';
	}
	$ns  = utf8_encodeFN(str_replace(':','/',$ns));

	$list = array();
	search($list,$conf['datadir'],'search_index',array('ns' => $ns));
	
	tpl_list_folder($list);
}
?>
